"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../src");
const XRPMccConnection = {
    url: process.env.XRP_URL || "",
    username: process.env.XRP_USERNAME || "",
    password: process.env.XRP_PASSWORD || "",
};
describe("Block Xrp base test ", function () {
    let MccClient;
    let block;
    before(function () {
        return __awaiter(this, void 0, void 0, function* () {
            MccClient = new src_1.MCC.XRP(XRPMccConnection);
            // let tblock = await MccClient.getBlock(70_015_100);
            let height = yield MccClient.getBlockHeight();
            console.log(height);
            let tblock = yield MccClient.getBlock(height - 20);
            // let tblock = await MccClient.getBlock(70_562_499);
            if (tblock !== null) {
                block = tblock;
            }
            console.log(block);
        });
    });
    it("Should get block number ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.number);
        });
    });
    it("Should get block hash ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.blockHash);
        });
    });
    it("Should get block standard hash ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.stdBlockHash);
        });
    });
    it("Should get block timestamp ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.unixTimestamp);
        });
    });
    it("Should get transaction ids ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.transactionIds);
        });
    });
    it("Should get transaction standard ids ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.stdTransactionIds);
        });
    });
    it("Should get transaction count ", function () {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(block.transactionCount);
        });
    });
});
//# sourceMappingURL=block.test.js.map